=== debian/changelog ===
policycoreutils (2.1.10-1) unstable; urgency=low

  * New upstream version
  * Made it build-depend on libcgroup-dev, libdbus-1-dev, libdbus-glib-1-dev,
    and libglib2.0-dev
  * Lots of multiarch related changes
  * Rename /etc/init.d/policycoreutils to /etc/init.d/restorecond
  * Added per-user configuration for restorecond

 -- Russell Coker <russell@coker.com.au>  Mon, 05 Mar 2012 17:28:46 +1100

policycoreutils (2.1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust package to multiarch: export/use DEB_HOST_MULTIARCH in
    debian/common/* and in some Makefiles; build-depend on dpkg-dev (>=
    1.16.0). Based on patches from Mitsuya Shibata and Hideki Yamane.
    Closes: #640630, #652758
    LP: #832802

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Feb 2012 19:10:41 +0100

policycoreutils (2.1.0-3) unstable; urgency=low

  * Add mcstrans examples in /usr/share/doc/policycoreutils/mcstrans-examples
  * Added dependency on psmisc for killall in mcstrans init script

 -- Russell Coker <russell@coker.com.au>  Wed, 02 Nov 2011 15:06:07 +1100

policycoreutils (2.1.0-2) unstable; urgency=low

  * New upstream version, included mcstrans and added sandbox.
  * The new mcstrans won't work with the policy from Squeeze, it will abort on
    startup and you won't get the names mapped.  IMHO this is acceptable for
    a partially upgraded system and when the system is fully upgraded it will
    all work.
  * Made it build-depend on the latest libselinux1-dev, libsepol1-dev,
    libsemanage1-dev, and python-sepolgen.
  * Added libcap-ng-dev to the build-depends for sandbox.
  * Added libcap-dev to the build-depends for mcstrans.
  * Hard-coded LIBDIR in mcstrans/src/Makefile and mcstrans/utils/Makefile as
    uname -i doesn't work.
  * Added dependency on python-support.
  * Made it depend on latest python-sepolgen and on python-support.
  * s/\.p/\.P/ on mcs.8
  * Added lintian override for suid binary /usr/sbin/seunshare .
  * Made this version -2 because version -1 got lost.

 -- Russell Coker <russell@coker.com.au>  Mon, 31 Oct 2011 16:35:30 +1100

policycoreutils (2.0.82-5) unstable; urgency=low

  * Make it suggest selinux-policy-dev which is needed by sepolgen-ifgen.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 Feb 2011 00:22:13 +1100

policycoreutils (2.0.82-4) unstable; urgency=low

  * Depend on the latest version of python-sepolgen, audit2allow won't work
    otherwise.

 -- Russell Coker <russell@coker.com.au>  Sat, 20 Nov 2010 23:40:52 +1100

policycoreutils (2.0.82-3) unstable; urgency=low

  * Update the man page for semanage to document -i for command files.

 -- Russell Coker <russell@coker.com.au>  Tue, 20 Jul 2010 12:33:36 +1000

policycoreutils (2.0.82-2) unstable; urgency=low

  * Use "rm -rf" when cleaning out /tmp.
  * Documented the -0 option in restorecon(8), noted in restorecon(8) and
    setfiles(8) that they are the same program and documented the -p option.
  * Removed the newlines when displaying the progress of setfiles/restorecon.
  * Made fixfiles display the progress.

 -- Russell Coker <russell@coker.com.au>  Mon, 21 Jun 2010 22:35:00 +1000

policycoreutils (2.0.82-1) unstable; urgency=low

  * New upstream release
    + Add avc's since boot from Dan Walsh.
    + Add dontaudit flag to audit2allow from Dan Walsh.
    + Module enable/disable support from Dan Walsh.
    + Fix double-free in newrole
    + Remove non-working OUTFILE from fixfiles from Dan Walsh.
    + Additional exception handling in chcat from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 10:13:19 -0700

policycoreutils (2.0.77-1) unstable; urgency=low

  * New upstream version.
    + Fixed bug preventing semanage node -a from working
      from Chad Sellers
    + Fixed bug preventing semanage fcontext -l from working
      from Chad Sellers
    + Remove setrans management from semanage, as it does not work
      from Dan Walsh.
    + Move load_policy from /usr/sbin to /sbin from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 01:53:37 -0600

policycoreutils (2.0.75-1) unstable; urgency=low

  * New upstream point release
    + Factor out restoring logic from setfiles.c into restore.c

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 16:34:11 -0600

policycoreutils (2.0.74-1) unstable; urgency=low

  * New upstream point release
    + Change semodule upgrade behavior to install even if the module
    + is not present from Dan Walsh.
    + Make setfiles label if selinux is disabled and a seclabel aware
    + kernel is running from Caleb Case.
    + Clarify forkpty() error message in run_init from Manoj Srivastava.
    + Add semanage dontaudit to turn off dontaudits from Dan Walsh.
    + Fix semanage to set correct mode for setrans file from Dan Walsh.
    + Fix malformed dictionary in portRecord from Dan Walsh.
  * Added patch from Martin Orr to fix a loop in the inotify watch code
    when installing a watch on utmp.
  * [863fb62]: topic--debian: Improve error messages on forkpty failure
    The current error message when forkpty() fails is not clear or
    useful. The following patch makes indicate what went wrong. 
    Bug fix: "The error message on forkpty() failure is not clear or
    useful.", thanks to Russell Coker              (Closes: #515710).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 2009 02:08:04 -0500

policycoreutils (2.0.72-4) UNRELEASED; urgency=low

  * [d42e245]: [topic--restorecond-init-script]: Add to watched files
    list 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Sep 2009 08:31:48 -0500

policycoreutils (2.0.72-3) UNRELEASED; urgency=low

  * [863fb62]: topic--debian: Improve error messages on forkpty failure
    The current error message when forkpty() fails is not clear or
    useful. The following patch makes indicate what went wrong. 
    Bug fix: "The error message on forkpty() failure is not clear or

